Folks.AvatarCache.remove_avatar – folks Reference Manual

# remove_avatar

## Description:

public async void remove_avatar (string id) throws Error

Remove an avatar from the cache, if it exists in the cache. If the avatar exists in the cache but there is a problem in removing it, a GLib.Error will be thrown.

## Parameters:

id | the globally unique ID for the avatar

## Exceptions:

GLib.Error | if deleting the cache file failed

## Since:

0.6.0